- Home
- API Enriched
- Cdn
- config
- Suggest block client rule.
Suggest block client rule.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/cdn_loadbalancers/example/block_client/suggestion';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"as_description":"example","as_number":1,"ip_prefix":"example","name":"example","namespace":"example","user_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/cdn_loadbalancers/example/block_client/suggestion \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "as_description": "example", "as_number": 1, "ip_prefix": "example", "name": "example", "namespace": "example", "user_id": "example" }'Suggest blocking SimpleClientSrcRule for a given IP/ASN.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace of the App type for current request.
Name HTTP load balancer for which this WAF exclusion will be applied.
Request Bodyrequired
Section titled “Request Bodyrequired”GET suggested blocking SimpleClientSrcRule for a given IP/ASN.
object
AS description.
RFC 6793 defined 4-byte AS number Required: YES.
IP prefix string. Required: YES.
HTTP load balancer for which this WAF exclusion will be applied.
Namespace of the App type for current request.
User ID of blocked client.
Examplegenerated
{ "as_description": "example", "as_number": 1, "ip_prefix": "example", "name": "example", "namespace": "example", "user_id": "example"}Responses
Section titled “Responses”A successful response.
GET suggested blocking SimpleClientSrcRule for a given IP/ASN.
object
object
HTTP load balancer for which this WAF exclusion will be applied.
object
Actions that should be taken when client identifier matches the rule.
Exclusive with [http_header ip_prefix ipv6_prefix user_identifier] RFC 6793 defined 4-byte AS number.
object
The expiration_timestamp is the RFC 3339 format timestamp at which the containing rule is considered to be logically expired. The rule continues to exist in the configuration but is not applied anymore.
object
List of HTTP header name and value pairs
Required: YES.
Header match is done using the name of the header and its value. The value match is done using one of the following regex match on value exact match of value presence of header
Header Match can also be inverse of above, which be used to check missing header or non-matching value.
object
Exclusive with [presence regex] Header value to match exactly.
Invert the result of the match to detect missing header or non-matching value.
Name of the header Required: YES.
Exclusive with [exact regex] If true, check for presence of header.
Exclusive with [exact presence] Regex match of the header value in re2 format.
Exclusive with [as_number http_header ipv6_prefix user_identifier] IPv4 prefix string.
Exclusive with [as_number http_header ip_prefix user_identifier] IPv6 prefix string.
object
Human readable description.
This is the name of the message. The value of name has to follow DNS-1035 format. Required: YES.
object
Exclusive with [as_number http_header ip_prefix ipv6_prefix] Identify user based on user identifier. User identifier value needs to be copied from security event.
object
Example
{ "rule": { "actions": [ "SKIP_PROCESSING_WAF" ] }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example